<?php
/**
 * Loop through the usergroups
 */

$UGModel    = $XF->getModelFromCache( 'XenForo_Model_UserGroup' );
$usergroups = $UGModel->getAllUserGroups();

foreach ($usergroups as $usergroup) {
	$id    = $usergroup['user_group_id'];
	$title = $usergroup['title'];
	echo '<table><tr><td width="75%">';
	echo '<label for="xf_user_role_' . $id . '">';
	echo $title . ' has role ';
	echo '</td><td>';
	echo '<select name="xf_user_role_' . $id . '" id="xf_user_role_' . $id
	     . '">';
	wp_dropdown_roles( $xf_options['xf_user_role'][ $id ] );
}
// End xenforo-usergroups.php